Bug 9040 - Using asynchronous IO with SMB2 can return NT_STATUS_FILE_CLOSED in error instead ofNT_STATUS_FILE_LOCK_CONFLICT.
Using asynchronous IO with SMB2 can return NT_STATUS_FILE_CLOSED in error ins...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 18:09 UTC by Jeremy Allison
Modified: 2012-09-24 04:21 UTC (History)
0 users

See Also:


Attachments
git-am patch for 3.6.next. (1.02 KB, patch)
2012-07-13 18:13 UTC, Jeremy Allison
vl: review+
ira: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2012-07-13 18:09:47 UTC
Found by Volker.

"schedule_aio_smb2_write can return NT_STATUS_FILE_LOCK_CONFLICT.
This is a valid error code that smb2.lock.rw-shared expects and
checks for. The code before this patch maps this to NT_STATUS_FILE_CLOSED,
masking the real, correct error message."

Patch that went into master attached.

Jeremy.
Comment 1 Jeremy Allison 2012-07-13 18:13:37 UTC
Created attachment 7703 [details]
git-am patch for 3.6.next.

Patch that went into master.
Comment 2 Jeremy Allison 2012-07-13 18:14:10 UTC
Comment on attachment 7703 [details]
git-am patch for 3.6.next.

Forgot Ira is off next week :-).
Comment 3 Ira Cooper 2012-07-13 18:33:11 UTC
Comment on attachment 7703 [details]
git-am patch for 3.6.next.

LGTM.
Comment 4 Jeremy Allison 2012-07-13 20:47:33 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Jeremy.
Comment 5 Karolin Seeger 2012-07-14 18:31:54 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!